package response

import "time"

type CategoryLabels struct {
	ID   int64  `json:"id"`
	Name string `json:"name"`
}

type Product struct {
	ID            int64           `json:"id"`
	Name          string          `json:"name"`           // 商品名称
	Description   string          `json:"description"`    // 商品描述
	Price         int64           `json:"price"`          // 商品价格
	StockQuantity int32           `json:"stock_quantity"` // 库存数量
	CreatedAt     time.Time       `json:"created_at"`
	UpdatedAt     *time.Time      `json:"updated_at"`
	CategoryID    int64           ` json:"category_id"`
	Category      *CategoryLabels `json:"category"`
	ImageURL      string          `json:"image_url"`
}
