package response

import (
	"sghgogs.com/micro/shopping-service-client/domain/model/base"
	"time"
)

type Role struct {
	ID          int64              `json:"id"`
	Name        string             `json:"name"`
	Description string             `json:"description"`
	Users       []base.ListMapItem `json:"users"`
	Permissions []base.ListMapItem `json:"permissions"`
	CreatedBy   string             `json:"created_by"`
	CreatedAt   time.Time          `json:"created_at"`
	UpdatedAt   *time.Time         `json:"updated_at"`
	UpdatedBy   string             `json:"updated_by"`
	Status      base.Status        `json:"status"` // 可以是 "enabled", "disabled", "deleted" 等
	IsReserved  bool               `json:"is_reserved"`
}
